## ros-noetic-care-o-bot 0.7.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(care_o_bot)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-noetic-care-o-bot 0.7.9

=== debian/changelog ===
ros-noetic-care-o-bot (0.7.9-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 19 May 2022 22:00:00 -0000

ros-noetic-care-o-bot (0.7.8-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-care-o-bot (0.6.7-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-care-o-bot (0.6.6-1buster) buster; urgency=high

  * Merge pull request #44 <https://github.com/ipa320/care-o-bot/issues/44> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Merge pull request #23 <https://github.com/ipa320/care-o-bot/issues/23> from ipa320/indigo_release_candidate
    Updates from latest release
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-care-o-bot (0.6.5-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-care-o-bot (0.6.4-1buster) buster; urgency=high

  * Migration to package format 2
  * Contributors: ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-care-o-bot (0.6.3-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 06 Jan 2015 23:00:00 -0000

ros-noetic-care-o-bot (0.6.2-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Oct 2014 22:00:00 -0000

ros-noetic-care-o-bot (0.6.1-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Oct 2014 22:00:00 -0000

ros-noetic-care-o-bot (0.6.0-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-care-o-bot (0.5.0-1buster) buster; urgency=high

  * add meta packages
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-care-o-bot
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <fmw@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-care-o-bot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-care-o-bot-robot, ros-noetic-care-o-bot-simulation, ros-noetic-cob-manipulation, ros-noetic-cob-navigation
Description: The care-o-bot meta-package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-care-o-bot//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-care-o-bot 0.7.10

=== debian/changelog ===
ros-noetic-care-o-bot (0.7.10-1focal) focal; urgency=high

  * Merge pull request #63 <https://github.com/ipa320/care-o-bot/issues/63> from fmessmer/fix/ci
    update ci
  * update ci
  * Merge pull request #62 <https://github.com/ipa320/care-o-bot/issues/62> from fmessmer/fix/ci
    fix ci
  * bump cmake version
  * Contributors: Felix Messmer, fmessmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-care-o-bot (0.7.9-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 19 May 2022 22:00:00 -0000

ros-noetic-care-o-bot (0.7.8-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-care-o-bot (0.6.7-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-care-o-bot (0.6.6-1focal) focal; urgency=high

  * Merge pull request #44 <https://github.com/ipa320/care-o-bot/issues/44> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Merge pull request #23 <https://github.com/ipa320/care-o-bot/issues/23> from ipa320/indigo_release_candidate
    Updates from latest release
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-care-o-bot (0.6.5-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-care-o-bot (0.6.4-1focal) focal; urgency=high

  * Migration to package format 2
  * Contributors: ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-care-o-bot (0.6.3-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 06 Jan 2015 23:00:00 -0000

ros-noetic-care-o-bot (0.6.2-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Oct 2014 22:00:00 -0000

ros-noetic-care-o-bot (0.6.1-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Oct 2014 22:00:00 -0000

ros-noetic-care-o-bot (0.6.0-1focal) focal; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-care-o-bot (0.5.0-1focal) focal; urgency=high

  * add meta packages
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Mar 2014 23:00:00 -0000
